Package com.independentsoft.office.spreadsheet.revisions

# Class RevisionRowColumn

java.lang.Object
com.independentsoft.office.spreadsheet.revisions.RevisionRowColumn

public class RevisionRowColumn extends Object
The Class RevisionRowColumn.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RevisionRowColumn()`
  Instantiates a new revision row column.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RevisionRowColumn`
  `clone()`
  `RowColumnActionType`
  `getAction()`
  Gets the action.
  `String`
  `getReference()`
  Gets the reference.
  `List<RevisionCellChange>`
  `getRevisionCellChanges()`
  Gets the revision cell changes.
  `List<RevisionFormat>`
  `getRevisionFormats()`
  Gets the revision formats.
  `int`
  `getRevisionID()`
  Gets the revision id.
  `int`
  `getSheetID()`
  Gets the sheet id.
  `List<Undo>`
  `getUndos()`
  Gets the undos.
  `boolean`
  `isEdgeDeleted()`
  Checks if is edge deleted.
  `boolean`
  `isEndOfList()`
  Checks if is end of list.
  `boolean`
  `isRevisionFromRejection()`
  Checks if is revision from rejection.
  `boolean`
  `isRevisionUndoRejected()`
  Checks if is revision undo rejected.
  `void`
  `setAction​(RowColumnActionType action)`
  Sets the action.
  `void`
  `setEdgeDeleted​(boolean edgeDeleted)`
  Sets the edge deleted.
  `void`
  `setEndOfList​(boolean endOfList)`
  Sets the end of list.
  `void`
  `setReference​(String reference)`
  Sets the reference.
  `void`
  `setRevisionFromRejection​(boolean revisionFromRejection)`
  Sets the revision from rejection.
  `void`
  `setRevisionID​(int revisionID)`
  Sets the revision id.
  `void`
  `setRevisionUndoRejected​(boolean revisionUndoRejected)`
  Sets the revision undo rejected.
  `void`
  `setSheetID​(int sheetID)`
  Sets the sheet id.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RevisionRowColumn

    public RevisionRowColumn()
    Instantiates a new revision row column.

- ## Method Details

  - ### clone

    public RevisionRowColumn clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getUndos

    public List<Undo> getUndos()
    Gets the undos.
    Returns:
      the undos

  - ### getRevisionCellChanges

    public List<RevisionCellChange> getRevisionCellChanges()
    Gets the revision cell changes.
    Returns:
      the revision cell changes

  - ### getRevisionFormats

    public List<RevisionFormat> getRevisionFormats()
    Gets the revision formats.
    Returns:
      the revision formats

  - ### getAction

    public RowColumnActionType getAction()
    Gets the action.
    Returns:
      the action

  - ### setAction

    public void setAction​(RowColumnActionType action)
    Sets the action.
    Parameters:
      `action` - the new action

  - ### isEdgeDeleted

    public boolean isEdgeDeleted()
    Checks if is edge deleted.
    Returns:
      true, if is edge deleted

  - ### setEdgeDeleted

    public void setEdgeDeleted​(boolean edgeDeleted)
    Sets the edge deleted.
    Parameters:
      `edgeDeleted` - the new edge deleted

  - ### isEndOfList

    public boolean isEndOfList()
    Checks if is end of list.
    Returns:
      true, if is end of list

  - ### setEndOfList

    public void setEndOfList​(boolean endOfList)
    Sets the end of list.
    Parameters:
      `endOfList` - the new end of list

  - ### getReference

    public String getReference()
    Gets the reference.
    Returns:
      the reference

  - ### setReference

    public void setReference​(String reference)
    Sets the reference.
    Parameters:
      `reference` - the new reference

  - ### isRevisionUndoRejected

    public boolean isRevisionUndoRejected()
    Checks if is revision undo rejected.
    Returns:
      true, if is revision undo rejected

  - ### setRevisionUndoRejected

    public void setRevisionUndoRejected​(boolean revisionUndoRejected)
    Sets the revision undo rejected.
    Parameters:
      `revisionUndoRejected` - the new revision undo rejected

  - ### getRevisionID

    public int getRevisionID()
    Gets the revision id.
    Returns:
      the revision id

  - ### setRevisionID

    public void setRevisionID​(int revisionID)
    Sets the revision id.
    Parameters:
      `revisionID` - the new revision id

  - ### getSheetID

    public int getSheetID()
    Gets the sheet id.
    Returns:
      the sheet id

  - ### setSheetID

    public void setSheetID​(int sheetID)
    Sets the sheet id.
    Parameters:
      `sheetID` - the new sheet id

  - ### isRevisionFromRejection

    public boolean isRevisionFromRejection()
    Checks if is revision from rejection.
    Returns:
      true, if is revision from rejection

  - ### setRevisionFromRejection

    public void setRevisionFromRejection​(boolean revisionFromRejection)
    Sets the revision from rejection.
    Parameters:
      `revisionFromRejection` - the new revision from rejection